Package org.springframework.scheduling.quartz

# Interface SchedulerContextAware

All Superinterfaces:
  `org.springframework.beans.factory.Aware`

All Known Implementing Classes:
  `SpringBeanJobFactory`

public interface SchedulerContextAware extends org.springframework.beans.factory.Aware
Callback interface to be implemented by Spring-managed Quartz artifacts that need access to the SchedulerContext (without having natural access to it).

Currently only supported for custom JobFactory implementations that are passed in via Spring's SchedulerFactoryBean.

Since:
  2.0
Author:
  Juergen Hoeller, Chris Beams
See Also:
  - `JobFactory`
  - `SchedulerFactoryBean.setJobFactory(org.quartz.spi.JobFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setSchedulerContext(SchedulerContext schedulerContext)`
Set the SchedulerContext of the current Quartz Scheduler.

## Method Details

### setSchedulerContext

void setSchedulerContext(SchedulerContext schedulerContext)
Set the SchedulerContext of the current Quartz Scheduler.

See Also:
  - `Scheduler.getContext()`